Index: /extensions/adult_content/charte.php
===================================================================
--- /extensions/adult_content/charte.php	(revision 3331)
+++ /extensions/adult_content/charte.php	(revision 3331)
@@ -0,0 +1,27 @@
+<?php
+define('PHPWG_ROOT_PATH','../../');
+include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
+
+$adult_content = get_plugin_data('adult_content');
+
+
+$title = 'Adult content';
+$page['body_id'] = 'adult_content_page';
+include(PHPWG_ROOT_PATH.'include/page_header.php');
+
+
+//include(get_language_filepath('plugin.lang.php', $adult_content->plugin_path));
+load_language('plugin.lang', $adult_content->plugin_path);
+$template->assign(
+  array(
+    'PLUGIN_NAME' => $adult_content->plugin_name
+    ));
+
+$template->set_filename('controller', $adult_content->plugin_path.'include/charte.tpl');
+
+// +-----------------------------------------------------------------------+
+// | html code display                                                     |
+// +-----------------------------------------------------------------------+
+$template->parse('controller');
+include(PHPWG_ROOT_PATH.'include/page_tail.php');
+?>
Index: /extensions/adult_content/charte_user.php
===================================================================
--- /extensions/adult_content/charte_user.php	(revision 3331)
+++ /extensions/adult_content/charte_user.php	(revision 3331)
@@ -0,0 +1,100 @@
+<?php
+define('PHPWG_ROOT_PATH','../../');
+include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
+$adult_content = get_plugin_data('adult_content');
+
+if (!isset( $_POST['groupe'] ))
+{
+   $title = 'Adult content';
+   $page['body_id'] = 'adult_content_page';
+   include(PHPWG_ROOT_PATH.'include/page_header.php');
+   //include(get_language_filepath('plugin.lang.php', $adult_content->plugin_path));
+   load_language('plugin.lang', $adult_content->plugin_path);
+
+   $template->assign(
+     array(
+       'PLUGIN_NAME' => $adult_content->plugin_name
+       ));
+
+   if ($_GET['etat'] == 'not_defined')
+   {
+       $template->assign(
+         array(
+           'EXPLIC' => $lang['ac_not_def'],
+           'MAIN'  => $lang['ac_text_charte'],
+           'ETAT'  => $_GET['etat'],
+            )
+         );
+   }
+   elseif ($_GET['etat'] == 'defined')
+   {
+   	 $query = '
+SELECT group_id FROM '.USER_GROUP_TABLE.'
+  WHERE user_id IN (\''.$user['id'].'\')
+;';
+     $data_group = mysql_fetch_array(pwg_query($query));
+   	 $query = '
+SELECT name FROM '.GROUPS_TABLE.'
+  WHERE id IN (\''.$data_group['group_id'].'\')
+;';
+     $data_group_n = mysql_fetch_array(pwg_query($query));
+	 if ($data_group_n['name'] == '+18')
+	 {
+	 $statut = $lang['ac_statut'].$lang['ac_user_text_18'];
+	 }
+	 if ($data_group_n['name'] == '16-17')
+	 {
+	 $statut = $lang['ac_statut'].$lang['ac_user_text_16'];
+	 }
+	 if ($data_group_n['name'] == 'nothing')
+	 {
+	 $statut = $lang['ac_user_no'];
+	 }
+	 
+     $main = '<p>'.$statut.'</p>'
+	        .'<p><a href="javascript:void(0)" OnClick="history.back()" >'.$lang['ac_retour_c'].'</a></p>';
+       $template->assign(
+         array(
+           'EXPLIC' => $lang['ac_def'],
+           'MAIN'  => $main,
+           'ETAT'  => $_GET['etat'],
+            )
+         );
+   }
+   else
+   {
+   die('Hacking attempt!');
+   }
+
+   $template->set_filename('charte', $adult_content->plugin_path.'include/charte_user.tpl');
+
+   $template->parse('charte');
+   include(PHPWG_ROOT_PATH.'include/page_tail.php');
+
+}//fin if !isset( $_POST['groupe'] )
+elseif ( $_POST['groupe'] == '+18' or $_POST['groupe'] == '16-17' or $_POST['groupe'] == 'nothing')
+{
+
+   ////////////placer dans group////////////
+      $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\''. $_POST['groupe'].'\')
+;';
+      $data_group = mysql_fetch_array(pwg_query($query));
+	  
+      if ($_POST['etat'] == 'not_defined')
+	  {
+      pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.$user['id'].'\', \''.$data_group['id'].'\' )' );
+	  }
+      elseif ($_POST['etat'] == 'defined')
+	  {
+      pwg_query('UPDATE '.USER_GROUP_TABLE.' SET group_id=\''.$data_group['id'].'\' WHERE user_id IN (\''.$user['id'].'\')' );
+	  }
+	  log_user( $user['id'], false);
+      redirect(make_index_url());
+}
+else
+{
+die('Hacking attempt!');
+}
+?>
Index: /extensions/adult_content/class.inc.php
===================================================================
--- /extensions/adult_content/class.inc.php	(revision 3331)
+++ /extensions/adult_content/class.inc.php	(revision 3331)
@@ -0,0 +1,256 @@
+<?php
+
+
+class Adultcontent
+{
+  var $plugin_name, $plugin_path;
+  
+  function Adultcontent($plugin_name, $plugin_path)
+  {
+    // Args
+    $this->plugin_name = $plugin_name;
+    $this->plugin_path = $plugin_path;
+    // handler
+   // $this->initialize_event_handler();
+  }
+  
+  function get_link_icon($main_link, $action)
+  {
+    $link_url = add_url_params($main_link, array('ad' => $action));
+    return $link_url;
+  }
+  
+  function loading_lang()
+  {
+    global $lang;
+    //include(get_language_filepath('plugin.lang.php', $this->plugin_path));
+	load_language('plugin.lang', $this->plugin_path);
+  }  
+  /*
+  function remove_code($tlp_handle, $str_begin, $str_end)
+  {
+      global $template;
+ 
+      $template->loadfile($tlp_handle);
+ 
+      $p_beg = strpos($template->uncompiled_code[$tlp_handle], $str_begin);
+      $p_end = strpos($template->uncompiled_code[$tlp_handle], $str_end) + strlen($str_end);
+      $s = substr($template->uncompiled_code[$tlp_handle], $p_beg, $p_end - $p_beg);
+ 
+      $template->uncompiled_code[$tlp_handle] = 
+      substr_replace($template->uncompiled_code[$tlp_handle], '', $p_beg, $p_end - $p_beg);
+ 
+      return $s;
+  }
+  
+  function add_before_code($tlp_handle, $insert_before, $code)
+  {
+      global $template;
+ 
+      $template->loadfile($tlp_handle);
+      $template->uncompiled_code[$tlp_handle] = str_replace($insert_before, $code.$insert_before, $template->uncompiled_code[$tlp_handle]);
+  } 
+  function add_after_code($tlp_handle, $insert_after, $code)
+  {
+    global $template;
+ 
+    $template->loadfile($tlp_handle);
+    $template->uncompiled_code[$tlp_handle] = str_replace($insert_after, $insert_after.$code, $template->uncompiled_code[$tlp_handle]);
+  }*/
+  function var_template()
+  {
+    global $user;
+    if ($user['template'] == 'flop_pure_design')
+    {
+      $r = 'var_fpd.inc.php';	
+    }
+    else
+    {
+     $r = 'var.inc.php';	
+    }
+   return $r;
+  }
+  function link_charte_user($etat)
+  {
+  global $user, $lang;
+  include($this->var_template());
+  if ($etat == 'not_defined')
+  {
+      /*$s = $this->remove_code('menubar',$begin_ident ,$end_ident);
+      $this->add_before_code('menubar','<!-- BEGIN links -->',$s); 	  
+      $this->add_after_code('menubar','<!-- END hello -->
+    <ul>','<a href="'.get_root_url().'plugins/'.$this->plugin_name.'/charte_user.php?etat='.$etat.'">{lang:ac_charte_user_not}</a>');*/
+  }
+  elseif ($etat == 'defined')
+  {
+      $query = '
+SELECT group_id FROM '.USER_GROUP_TABLE.'
+  WHERE user_id IN (\''.$user['id'].'\')
+;';
+     $data_group = mysql_fetch_array(pwg_query($query));
+   	 $query = '
+SELECT name FROM '.GROUPS_TABLE.'
+  WHERE id IN (\''.$data_group['group_id'].'\')
+;';
+     $data_group_n = mysql_fetch_array(pwg_query($query));
+	 if ($data_group_n['name'] == '+18')
+	 {
+	 $statut = $lang['ac_user_text_18'];
+	 }
+	 if ($data_group_n['name'] == '16-17')
+	 {
+	 $statut = $lang['ac_user_text_16'];
+	 }
+	 if ($data_group_n['name'] == 'nothing')
+	 {
+	 $statut = $lang['ac_user_no_s'];
+	 }
+
+	  /*$this->add_after_code('menubar','<!-- END hello -->
+    <ul>',''.$statut.' <a href="'.get_root_url().'plugins/'.$this->plugin_name.'/charte_user.php?etat='.$etat.'">{lang:ac_logout}</a>');*/
+  }
+      
+
+  }
+
+  function register_ac_menubar_blocks($menu_ref_arr) {
+    $menu = & $menu_ref_arr[0];
+    if ($menu->get_id() != 'menubar')
+      return;
+    $menu->register_block(new RegisteredBlock('mbAdultContent', 'Adult Content', 'AC'));
+  }
+
+  function placer_identification($menu_ref_arr)
+  {
+///////////////////////[début du plug]////////////////////
+    $this->loading_lang();
+    global $user, $conf, $page;
+  	global $template;
+
+    $menu = & $menu_ref_arr[0];
+	
+$template->assign(
+  array(
+    'AC_NAME' => AC_NAME
+    ));
+
+
+    //include($this->var_template());
+    if (is_a_guest())
+	{
+	
+///////////////////////[gestion fermer/ouvert]////////////////////
+	  if ( !isset( $_GET['ad'] ) )
+	  {	     
+	      if ( !isset( $_COOKIE['pwg_adult_content'] ) or $_COOKIE['pwg_adult_content'] == 'open' )
+	      {	
+	        //$this->add_before_code('menubar','<!-- BEGIN links -->', $msg_opened);
+			$template->assign(array(  'LINK' => $this->get_link_icon(duplicate_index_url(), 'closed')    ));
+            if (($block = $menu->get_block( 'mbAdultContent' )) != null) {
+               $block->set_title(l10n('ac_title_menu'));
+               $block->template = $this->plugin_path.'template/'.$user['template'].'/opened.tpl';
+            }
+	      }
+          elseif ( $_COOKIE['pwg_adult_content'] == 'closed' )
+	      {
+	        //$this->add_before_code('menubar','<!-- BEGIN links -->', $msg_closed);
+            $template->assign(array(  'LINK' => $this->get_link_icon(duplicate_index_url(), 'open')    ));
+			if (($block = $menu->get_block( 'mbAdultContent' )) != null) {
+               $block->set_title(l10n('ac_title_fermer'));
+               $block->template = $this->plugin_path.'template/'.$user['template'].'/closed.tpl';
+            }
+			
+	      }
+	  }
+	  elseif (  $_GET['ad'] == 'closed' )
+	  {
+	    //$this->add_before_code('menubar','<!-- BEGIN links -->', $msg_closed);
+        $template->assign(array(  'LINK' => $this->get_link_icon(duplicate_index_url(), 'open')    ));
+		setcookie( 'pwg_adult_content', 'closed', time()+60*60*24*30, cookie_path() );	  
+            if (($block = $menu->get_block( 'mbAdultContent' )) != null) {
+               $block->set_title(l10n('ac_title_fermer'));
+               $block->template = $this->plugin_path.'template/'.$user['template'].'/closed.tpl';
+            }
+	  }
+	  elseif (  $_GET['ad'] == 'open' )
+	  {
+	    //$this->add_before_code('menubar','<!-- BEGIN links -->', $msg_opened);
+            $template->assign(array(  'LINK' => $this->get_link_icon(duplicate_index_url(), 'closed')    ));
+			if (($block = $menu->get_block( 'mbAdultContent' )) != null) {
+               $block->set_title(l10n('ac_title_menu'));
+               $block->template = $this->plugin_path.'template/'.$user['template'].'/opened.tpl';
+            }
+
+        setcookie( 'pwg_adult_content', 'open', time()+60*60*24*30, cookie_path() );	  
+	  }
+///////////////////////[FIN fermer/ouvert]////////////////////
+    }//fin if guest
+    elseif ($user['username'] == '18')
+    {  
+      $this->remove_code('menubar', '<dl id="mbIdentification">', '<!-- END quickconnect -->
+
+  </dd>
+</dl>');
+  
+      $this->add_before_code('menubar','<!-- BEGIN tags -->',$msg_18);
+	  
+	  $_SESSION['age']="18"; 
+        setcookie( 'age', '18', time()+60*60*24*30, cookie_path() );	  
+
+    }//fin if 18 ans
+    elseif ($user['username'] == '16')
+    {
+      $this->remove_code('menubar', '<dl id="mbIdentification">', '<!-- END quickconnect -->
+
+  </dd>
+</dl>');
+  
+      $this->add_before_code('menubar','<!-- BEGIN tags -->',$msg_16);
+
+    }//fin if 16-17 ans
+    elseif (!is_admin())
+    {
+	
+////////////lié à quoi/////	
+	 $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'+18\')
+;';
+     $data_18 = mysql_fetch_array(pwg_query($query));
+	 $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'16-17\')
+;';
+     $data_16 = mysql_fetch_array(pwg_query($query));
+	 $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'nothing\')
+;';
+     $data_no = mysql_fetch_array(pwg_query($query));
+	 $n_query = '
+SELECT COUNT(*) AS result FROM '.USER_GROUP_TABLE.'
+  WHERE group_id IN (\''.$data_18['id'].'\',\''.$data_16['id'].'\',\''.$data_no['id'].'\') AND user_id IN (\''.$user['id'].'\')
+;';
+      $data_user = mysql_fetch_array(pwg_query($n_query));
+	  $is_grouped = $data_user['result'];   
+
+	  if ( $is_grouped == 0 )
+	  {
+	  $this->link_charte_user('not_defined');
+	  }
+	  else
+	  {	   
+	  $this->link_charte_user('defined');
+	  }
+	}
+
+  }//fin placer_identification
+  function on_register()
+  {
+	  include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+    $user_id = get_userid($_POST['login']);
+    log_user( $user_id, false);
+      redirect(PHPWG_ROOT_PATH.'plugins/adult_content/charte_user.php?etat=not_defined');
+  } 
+}//fin class
+?>
Index: /extensions/adult_content/for_flop_pure_design/var.inc.php
===================================================================
--- /extensions/adult_content/for_flop_pure_design/var.inc.php	(revision 3331)
+++ /extensions/adult_content/for_flop_pure_design/var.inc.php	(revision 3331)
@@ -0,0 +1,124 @@
+<?php
+	$msg_closed = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbIdentification">
+<dd>
+ <dt><a href="'.$this->get_link_icon(duplicate_index_url(), 'open').'"> {lang:ac_title_fermer}</a></dt>
+</dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+	$msg_opened = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+		<dl id="mbIdentification">
+<dd>
+<dt>{lang:ac_title_menu}</dt>
+        <ul>
+		<li>
+		{lang:ac_text}
+		</li>
+		<li>
+		<a href="'.get_root_url().'plugins/'.$this->plugin_name.'/charte.php">{lang:ac_lien}</a>
+		</li>
+		<li>
+		<a href="{F_IDENTIFY}">{lang:ac_identif}</a>
+		</li> 
+		<li>
+		<a href="'.$this->get_link_icon(duplicate_index_url(), 'closed').'">{lang:ac_fermer}</a>
+		</li> 
+        </ul>
+</dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+$msg_18 = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbIdentification">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{lang:ac_user_text_18} <a href="{U_LOGOUT}">{lang:ac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+$msg_16 = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbIdentification">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{lang:ac_user_text_16} <a href="{U_LOGOUT}">{lang:ac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+?>
Index: /extensions/adult_content/include/charte.css
===================================================================
--- /extensions/adult_content/include/charte.css	(revision 3331)
+++ /extensions/adult_content/include/charte.css	(revision 3331)
@@ -0,0 +1,8 @@
+BODY#adult_content_page #content
+{
+  margin: 1em;
+  }
+#autre_content
+{
+  padding:1em;
+  }
Index: /extensions/adult_content/include/charte.tpl
===================================================================
--- /extensions/adult_content/include/charte.tpl	(revision 3331)
+++ /extensions/adult_content/include/charte.tpl	(revision 3331)
@@ -0,0 +1,33 @@
+{html_head}<link rel="stylesheet" type="text/css" href="{$pwg_root}plugins/{$PLUGIN_NAME}/include/charte.css">{/html_head}
+<div id="content">
+<div class="titrePage">
+  <h2>Adult content</h2>
+</div>
+<div id="autre_content">
+{'ac_text_charte'|@translate}
+
+
+<fieldset>
+<form method="post" action="{$pwg_root}identification.php" >
+    <input type="hidden" name="username" size="15" value="18"/>
+    <input type="hidden" name="password" size="15" value="adult_content"/>
+    <input class="submit" type="submit" name="login" value="{'ac_button_activ_18'|@translate}"/>
+    {'ac_text_activ_18'|@translate}
+
+</form>
+</fieldset>
+<fieldset>
+<form method="post" action="{$pwg_root}identification.php" id="quickconnect">
+    <input type="hidden" name="username" size="15" value="16"/>
+    <input type="hidden" name="password" size="15" value="adult_content"/>
+    <input class="submit" type="submit" name="login" value="{'ac_button_activ_16'|@translate}"/>
+         {'ac_text_activ_16'|@translate}         
+</form>
+</fieldset>
+<fieldset>
+        <div align="center">
+          <input type="button" name="Annuler" value="{'ac_retour'|@translate}" OnClick="history.back()"/>
+        </div>
+</fieldset>
+</div>
+</div>
Index: /extensions/adult_content/include/charte_user.tpl
===================================================================
--- /extensions/adult_content/include/charte_user.tpl	(revision 3331)
+++ /extensions/adult_content/include/charte_user.tpl	(revision 3331)
@@ -0,0 +1,38 @@
+<link rel="stylesheet" type="text/css" href="{$pwg_root}plugins/{$PLUGIN_NAME}/include/charte.css">
+
+<div id="content">
+<div class="titrePage">
+      <ul class="categoryActions">
+      <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a></li>
+    </ul>
+  <h2>Adult content config</h2>
+</div>
+<div id="autre_content">
+<p>{$EXPLIC}</p>
+<p>{$MAIN}</p>
+<fieldset>
+<form method="post" action="{$pwg_root}charte_user.php" >
+    <input type="hidden" name="groupe" value="+18"/>
+    <input type="hidden" name="etat" value="{$ETAT}"/>
+    <input class="submit" type="submit" name="login" value="{'ac_button_activ_18'|@translate}"/>
+    {'ac_text_activ_18'|@translate}
+
+</form>
+</fieldset>
+<fieldset>
+<form method="post" action="{$pwg_root}charte_user.php">
+    <input type="hidden" name="groupe" value="16-17"/>
+    <input type="hidden" name="etat" value="{$ETAT}"/>
+    <input class="submit" type="submit" name="login" value="{'ac_button_activ_16'|@translate}"/>
+         {'ac_text_activ_16'|@translate}         
+</form>
+</fieldset>
+<fieldset>
+<form method="post" action="{$pwg_root}charte_user.php">
+    <input type="hidden" name="groupe" value="nothing"/>
+    <input type="hidden" name="etat" value="{$ETAT}"/>
+          <input class="submit" type="submit" name="Annuler" value="{'ac_retour_b'|@translate}"/>
+</form>
+</fieldset>
+</div>
+</div>
Index: /extensions/adult_content/include/index.php
===================================================================
--- /extensions/adult_content/include/index.php	(revision 3331)
+++ /extensions/adult_content/include/index.php	(revision 3331)
@@ -0,0 +1,9 @@
+<?php
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/adult_content/language/en_UK/index.php
===================================================================
--- /extensions/adult_content/language/en_UK/index.php	(revision 3331)
+++ /extensions/adult_content/language/en_UK/index.php	(revision 3331)
@@ -0,0 +1,9 @@
+<?php
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/adult_content/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/adult_content/language/en_UK/plugin.lang.php	(revision 3331)
+++ /extensions/adult_content/language/en_UK/plugin.lang.php	(revision 3331)
@@ -0,0 +1,38 @@
+<?php
+$lang['ac_title_menu'] = 'Warning';
+$lang['ac_text'] = 'This gallery contains images addressant to mature persons and\or adults.';
+$lang['ac_lien'] = 'remove this protection';
+$lang['ac_identif'] = 'or log-in';
+$lang['ac_fermer'] = 'or close';
+
+$lang['ac_title_fermer'] = 'content filtred';
+
+$lang['ac_user_text_18'] = 'You are more than 18 years old';
+$lang['ac_user_text_16'] = 'You are 16 or 17 years old';
+$lang['ac_logout'] = 'or otherwise click here';
+
+$lang['ac_user_no'] = "you did'nt wish to activate this kind of contents ";
+$lang['ac_user_no_s'] = "Content filtred";
+$lang['ac_statut'] ='Your statute  :';
+
+$lang['ac_button_activ_18'] = 'Activate the pornographic contents';
+$lang['ac_button_activ_16'] = 'Activate the erotic contents';
+$lang['ac_text_charte'] = "You enter on a site the visual contents of which with erotic and pornographic character are exclusively intended for a warned public and can present contents to erotic character. This site addresses the major and willing persons. This present site declines any responsibility as for the use which will be made by the contents and the services of this site by every minor or major person susceptible to be shocked by this one. Every person agreeing to enter within this site strictly reserved for a warned public unloads this present site of all the consequences of its consultation. </p>
+<p>If I violate one of these commitments or in case of false declaration, I can be in violation with the laws of my country, and<B> shall assume the whole responsibility of my acts</B>. I declare to have been completely informed about the proposed contents and give up any legal proceedings against the access provider and the admistrators of this site. I read attentively paragraphs above and sign electrically my agreement with what precedes by clicking the button corresponding to my age.";
+$lang['ac_text_activ_18'] = "  <u>... and I guarantee on the honor that </u>: <br>
+- <B>I am more than 18 years old and I am major </B> according to the law current in my country. <br>
+- I am warned that this site proposes images with pornographic and erotic character. <br>
+- The laws of my country authorize me to reach this site.";
+$lang['ac_text_activ_16'] = "<u> ... and I guarantee on the honor that </u>: <br>
+        - <B>I am 16 or 17 years old.</B> <br>
+- I am warned that this site proposes images with pornographic and erotic character. <br>
+- The laws of my country authorize me to reach this site.";
+$lang['ac_retour'] = 'I do not wish to activate this kind of contents and I return on the previous page';
+$lang['ac_retour_b'] = 'Je ne souhaite pas activer ce genre de contenu';
+$lang['ac_retour_c'] = 'Je retourne sur la page précédente';
+
+$lang['ac_charte_user_not'] = 'Please select your age!';
+$lang['ac_charte_user_def'] = 'change your statute';
+$lang['ac_not_def'] = 'This stage is essential but not will be asked to you anymore';
+$lang['ac_def'] = 'Do you want to change your status ?';
+?>
Index: /extensions/adult_content/language/fr_FR/index.php
===================================================================
--- /extensions/adult_content/language/fr_FR/index.php	(revision 3331)
+++ /extensions/adult_content/language/fr_FR/index.php	(revision 3331)
@@ -0,0 +1,9 @@
+<?php
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/adult_content/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/adult_content/language/fr_FR/plugin.lang.php	(revision 3331)
+++ /extensions/adult_content/language/fr_FR/plugin.lang.php	(revision 3331)
@@ -0,0 +1,39 @@
+<?php
+$lang['ac_title_menu'] = 'Attention';
+$lang['ac_text'] = 'Cette galerie contient des images s\'addressant à des personnes matures et/ou majeurs';
+$lang['ac_lien'] = 'enlever la protection';
+$lang['ac_identif'] = 'ou s\'identifier';
+$lang['ac_fermer'] = 'ou ne plus afficher';
+
+$lang['ac_title_fermer'] = 'contenu filtré';
+
+$lang['ac_user_text_18'] = 'Vous avez plus de 18 ans';
+$lang['ac_user_text_16'] = 'Vous avez 16 ou 17 ans';
+$lang['ac_logout'] = 'ou sinon cliquez ici';
+
+$lang['ac_user_no'] = "vous n'avez pas souhaité activer ce genre de contenu";
+$lang['ac_user_no_s'] = "Filtre activé";
+$lang['ac_statut'] ='Votre statut :';
+
+$lang['ac_button_activ_18'] = 'Activer le contenu pornographique';
+$lang['ac_button_activ_16'] = 'Activer le contenu érotique';
+$lang['ac_text_charte'] = "Vous entrez sur un site dont le contenu visuel à caractère érotique et pornographique est destiné exclusivement à un public averti et peut présenter des contenus à caractère &eacute;rotique. Ce site s'adresse aux personnes majeures et consentantes. Ce présent site décline toute responsabilité quant à l'utilisation qui sera faite des contenus et services de ce site par toute personne mineure ou majeure susceptible d'être choquée par celle-ci. Toute personne acceptant d'entrer au sein de ce site strictement réservé &agrave; un public averti décharge ce présent site de toutes les conséquences de sa consultation. </p>
+<p> Si je viole l'un de ces engagements ou en cas de fausses déclaration, je pourrai être en violation avec les lois de mon pays, et <B>assumerai l'entière responsabilité de mes actes</B>. Je déclare avoir été pleinement informé du contenu proposé et renonce à toutes poursuites judiciaires contre le fournisseur d'accès et les éditeurs de ce site. J'ai lu attentivement les paragraphes ci-dessus et signe électroniquement mon accord avec ce qui précède en cliquant sur le bouton correspondant à mon âge.";
+$lang['ac_text_activ_18'] = "  <u>... et je certifie sur l'honneur que </u>: <br>
+- <B>J'ai plus de 18 ans et suis majeur</B> selon la loi en vigueur dans mon pays. <br>
+- Je suis averti que le programme propose des images à caractère pornographique et érotique. <br>
+- Les lois de mon pays m'autorisent à accéder à ce site.";
+$lang['ac_text_activ_16'] = "<u> ... et je certifie sur l'honneur que </u>: <br>
+        - <B>J'ai  16 ou 17 ans.</B> <br>
+- Je suis averti que ce site propose des images à caractère érotique. <br>
+- Les lois de mon pays m'autorisent à accéder à ce site.";
+$lang['ac_retour'] = 'Je ne souhaite pas activer ce genre de contenu et je retourne sur la page précédente';
+$lang['ac_retour_b'] = 'Je ne souhaite pas activer ce genre de contenu';
+$lang['ac_retour_c'] = 'Je retourne sur la page précédente';
+
+$lang['ac_charte_user_not'] = 'Veuillez sélectionner votre âge !';
+$lang['ac_charte_user_def'] = 'changer votre statut';
+$lang['ac_not_def'] = 'Cette étape est indispensable mais ne vous sera plus demandé par la suite';
+$lang['ac_def'] = 'Voulez-vous changez votre status ?';
+
+?>
Index: /extensions/adult_content/language/index.php
===================================================================
--- /extensions/adult_content/language/index.php	(revision 3331)
+++ /extensions/adult_content/language/index.php	(revision 3331)
@@ -0,0 +1,9 @@
+<?php
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/adult_content/main.inc.php
===================================================================
--- /extensions/adult_content/main.inc.php	(revision 3331)
+++ /extensions/adult_content/main.inc.php	(revision 3331)
@@ -0,0 +1,36 @@
+<?php
+/*
+Plugin Name: adult_content
+Version: 2.0.0
+Description: manage adult content / Gerer du contenu adulte
+Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=141
+Author: Flop25
+Author URI: http://flop25.free.fr
+
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+$plugin_name = basename(dirname(__FILE__));
+$plugin_path = dirname(__FILE__).'/';
+define('AC_PATH', dirname(__FILE__).'/' );
+define('AC_NAME', basename(dirname(__FILE__)) );
+//define('LOCALEDIT_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+
+include_once(dirname(__FILE__).'/class.inc.php');
+
+///add_event_handler('loc_begin_menubar', array(&$adult_content, 'placer_identification') ); 
+add_event_handler('register_user', array(&$adult_content, 'on_register') );  
+          
+		  // Ajout une entrée dans le menubar
+          add_event_handler('blockmanager_apply', array(&$adult_content, 'placer_identification'));
+          add_event_handler('blockmanager_register_blocks', array(&$adult_content, 'register_ac_menubar_blocks'));
+
+
+
+$adult_content = new Adultcontent($plugin_name, $plugin_path);
+set_plugin_data($adult_content->plugin_name, $adult_content);
+
+//set_plugin_data($plugin['id'], $adult_content)
+//$obj = new adult_content();
+?>
Index: /extensions/adult_content/maintain.inc.php
===================================================================
--- /extensions/adult_content/maintain.inc.php	(revision 3331)
+++ /extensions/adult_content/maintain.inc.php	(revision 3331)
@@ -0,0 +1,241 @@
+<?php
+
+function plugin_install()
+{
+    global $conf;
+
+////////////créer groupe////////////
+    $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'+18\')
+;';
+    pwg_query($query);
+    $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'16-17\')
+;';
+    pwg_query($query);
+    $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'nothing\')
+;';
+    pwg_query($query);
+////////////créer user////////////
+	include_once(PHPWG_ROOT_PATH.'include/functions_user.inc.php');
+	register_user('18', 'adult_content', '');
+	register_user('16', 'adult_content', '');
+
+////////////placer dans group 16////////////
+    $result = pwg_query('SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'16-17\') ;');
+    $data_group = mysql_fetch_array($result);
+	  pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('16').'\', \''.$data_group['id'].'\' )' );
+
+////////////placer dans group 18////////////
+  $result = pwg_query('SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'+18\') ;');
+  $data_group = mysql_fetch_array($result);
+	  pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('18').'\', \''.$data_group['id'].'\' )' );
+
+}
+
+
+
+function plugin_activate()
+{
+    global $conf;
+include_once(PHPWG_ROOT_PATH.'include/functions_user.inc.php');
+   ///user exist ?///
+   $query = '
+SELECT COUNT(*) AS result FROM '.USERS_TABLE.'
+  WHERE username IN (\'18\')
+;';
+   $data_user = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user['result'];
+   if ( $exist == 0 )
+   {
+	register_user('18', 'adult_content', '');
+   }
+   
+   $query = '
+SELECT COUNT(*) AS result FROM '.USERS_TABLE.'
+  WHERE username IN (\'16\')
+;';
+   $data_user = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user['result'];
+   if ( $exist == 0 )
+   {
+	register_user('16', 'adult_content', '');
+   }
+   ///group exist ?///
+   $query = '
+SELECT COUNT(*) AS result FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'+18\')
+;';
+   $data_user = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user['result'];
+   if ( $exist == 0 )
+   {
+      $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'+18\')
+;';
+      pwg_query($query);
+////////////placer dans group 18////////////
+      $result = pwg_query('SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'+18\') ;');
+      $data_group = mysql_fetch_array($result);
+	  pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('18').'\', \''.$data_group['id'].'\' )' );
+   }
+   
+   $query = '
+SELECT COUNT(*) AS result FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'16-17\')
+;';
+   $data_user = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user['result'];
+   if ( $exist == 0 )
+   {
+      $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'16-17\')
+;';
+      pwg_query($query);
+////////////placer dans group 16////////////
+      $result = pwg_query('SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'16-17\') ;');
+      $data_group = mysql_fetch_array($result);
+	  pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('16').'\', \''.$data_group['id'].'\' )' );
+	  
+   }
+      //grp nothing
+	  $query = '
+SELECT COUNT(*) AS result FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'nothing\')
+;';
+   $data_user = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user['result'];
+   if ( $exist == 0 )
+   {
+      $query = '
+INSERT INTO '.GROUPS_TABLE.'
+  (name)
+  VALUES
+  (\'nothing\')
+;';
+      pwg_query($query);
+	}
+
+   ///assoc user/group exist ?///
+   
+   $n_query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'16-17\')
+;';
+   $data_group = mysql_fetch_array(pwg_query($n_query));
+   $query = '
+SELECT COUNT(*) AS result FROM '.USER_GROUP_TABLE.'
+  WHERE group_id IN (\''.$data_group['id'].'\') AND user_id IN (\''.get_userid('16').'\')
+;';
+   $data_user_group = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user_group['result'];
+   if ( $exist == 0 )
+   {
+	    pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('16').'\', \''.$data_group['id'].'\' )' );
+   }
+   $n_query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'+18\')
+;';
+   $data_group = mysql_fetch_array(pwg_query($n_query));
+   $query = '
+SELECT COUNT(*) AS result FROM '.USER_GROUP_TABLE.'
+  WHERE group_id IN (\''.$data_group['id'].'\') AND user_id IN (\''.get_userid('18').'\')
+;';
+   $data_user_group = mysql_fetch_array(pwg_query($query));
+   $exist = $data_user_group['result'];
+   if ( $exist == 0 )
+   {
+	    pwg_query('INSERT INTO '.USER_GROUP_TABLE.' VALUES(\''.get_userid('18').'\', \''.$data_group['id'].'\' )' );
+   }
+
+  ////////////mis en generic////////////
+	$query = '
+UPDATE '.USER_INFOS_TABLE.'
+  SET status=\'generic\'
+  WHERE user_id IN (\''.get_userid('16').'\')
+;';
+	pwg_query($query);
+	
+	$query = '
+UPDATE '.USER_INFOS_TABLE.'
+  SET status=\'generic\'
+  WHERE user_id IN (\''.get_userid('18').'\')
+;';
+	pwg_query($query);
+
+}//fin active
+
+
+
+
+function plugin_uninstall()
+{
+  include_once(PHPWG_ROOT_PATH.'include/functions_user.inc.php');
+////////////suppr user////////////
+  delete_user(get_userid('18'));
+  delete_user(get_userid('16'));
+  
+////////////suppr assoc user all /groupe 16////////////
+    $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'16-17\')
+;';
+    $data_group = mysql_fetch_array(pwg_query($query));
+	  pwg_query('DELETE FROM '.USER_GROUP_TABLE.' WHERE group_id IN (\''.$data_group['id'].'\')' );
+	  
+////////////suppr assoc user all /groupe 18////////////
+    $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'+18\')
+;';
+    $data_group = mysql_fetch_array(pwg_query($query));
+	  pwg_query('DELETE FROM '.USER_GROUP_TABLE.' WHERE group_id IN (\''.$data_group['id'].'\')' );
+
+////////////suppr assoc user all /groupe nothing////////////
+    $query = '
+SELECT id FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'nothing\')
+;';
+    $data_group = mysql_fetch_array(pwg_query($query));
+	  pwg_query('DELETE FROM '.USER_GROUP_TABLE.' WHERE group_id IN (\''.$data_group['id'].'\')' );
+  
+  
+////////////suppr groupe////////////
+  $query = '
+DELETE FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'+18\')
+;';
+  pwg_query($query);
+  
+  $query = '
+DELETE FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'16-17\')
+;';
+  pwg_query($query);
+  $query = '
+DELETE FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'nothing\')
+;';
+  pwg_query($query);
+
+}//fin uninstall
+
+
+?>
Index: /extensions/adult_content/template/floPure/open.tpl
===================================================================
--- /extensions/adult_content/template/floPure/open.tpl	(revision 3331)
+++ /extensions/adult_content/template/floPure/open.tpl	(revision 3331)
@@ -0,0 +1,10 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<title>Document sans nom</title>
+</head>
+
+<body>
+</body>
+</html>
Index: /extensions/adult_content/template/gally/closed.tpl
===================================================================
--- /extensions/adult_content/template/gally/closed.tpl	(revision 3331)
+++ /extensions/adult_content/template/gally/closed.tpl	(revision 3331)
@@ -0,0 +1,2 @@
+
+ <dt><a href="{$LINK}"> {'ac_title_fermer'|@translate}</a></dt>
Index: /extensions/adult_content/template/gally/opened.tpl
===================================================================
--- /extensions/adult_content/template/gally/opened.tpl	(revision 3331)
+++ /extensions/adult_content/template/gally/opened.tpl	(revision 3331)
@@ -0,0 +1,17 @@
+<dt>{'ac_title_menu'|@translate}</dt>
+<dd>
+  <ul>
+	<li>
+	  {'ac_text'|@translate}
+	</li>
+	<li>
+	  <a href="{$pwg_root}plugins/{$AC_NAME}/charte.php">{'ac_lien'|@translate}</a>
+	</li>
+	<li>
+	  <a href="{$U_LOGIN}">{'ac_identif'|@translate}</a>
+	</li> 
+	<li>
+	  <a href="{$LINK}">{'ac_fermer'|@translate}</a>
+	</li> 
+  </ul>
+</dd>
Index: /extensions/adult_content/template/yoga/closed.tpl
===================================================================
--- /extensions/adult_content/template/yoga/closed.tpl	(revision 3331)
+++ /extensions/adult_content/template/yoga/closed.tpl	(revision 3331)
@@ -0,0 +1,2 @@
+
+ <dt><a href="{$LINK}"> {'ac_title_fermer'|@translate}</a></dt>
Index: /extensions/adult_content/template/yoga/opened.tpl
===================================================================
--- /extensions/adult_content/template/yoga/opened.tpl	(revision 3331)
+++ /extensions/adult_content/template/yoga/opened.tpl	(revision 3331)
@@ -0,0 +1,17 @@
+<dt>{'ac_title_menu'|@translate}</dt>
+<dd>
+  <ul>
+	<li>
+	  {'ac_text'|@translate}
+	</li>
+	<li>
+	  <a href="{$pwg_root}plugins/{$AC_NAME}/charte.php">{'ac_lien'|@translate}</a>
+	</li>
+	<li>
+	  <a href="{$U_LOGIN}">{'ac_identif'|@translate}</a>
+	</li> 
+	<li>
+	  <a href="{$LINK}">{'ac_fermer'|@translate}</a>
+	</li> 
+  </ul>
+</dd>
Index: /extensions/adult_content/var.inc.php
===================================================================
--- /extensions/adult_content/var.inc.php	(revision 3331)
+++ /extensions/adult_content/var.inc.php	(revision 3331)
@@ -0,0 +1,59 @@
+<?php
+	$msg_closed = '<dl id="mbMenu">
+ <dt><a href="'.$this->get_link_icon(duplicate_index_url(), 'open').'"> {|@translateac_title_fermer}</a></dt>
+</dl>
+';
+	$msg_opened = '<dl id="mbMenu">
+<dt>{|@translateac_title_menu}</dt>
+<dd>
+  <ul>
+	<li>
+	  {|@translateac_text}
+	</li>
+	<li>
+	  <a href="'.get_root_url().'plugins/'.$this->plugin_name.'/charte.php">{|@translateac_lien}</a>
+	</li>
+	<li>
+	  <a href="{F_IDENTIFY}">{|@translateac_identif}</a>
+	</li> 
+	<li>
+	  <a href="'.$this->get_link_icon(duplicate_index_url(), 'closed').'">{|@translateac_fermer}</a>
+	</li> 
+  </ul>
+</dd>
+</dl>
+';
+	$msg_18 = '<dl id="mbIdentification">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{|@translateac_user_text_18} <a href="{U_LOGOUT}">{|@translateac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+';
+	$msg_16 = '<dl id="mbIdentification">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{|@translateac_user_text_16} <a href="{U_LOGOUT}">{|@translateac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+';
+
+$begin_ident = '<dl id="mbIdentification">';
+$end_ident = '<!-- END quickconnect -->
+
+  </dd>
+</dl>
+';
+?>
Index: /extensions/adult_content/var_fpd.inc.php
===================================================================
--- /extensions/adult_content/var_fpd.inc.php	(revision 3331)
+++ /extensions/adult_content/var_fpd.inc.php	(revision 3331)
@@ -0,0 +1,148 @@
+<?php
+	$msg_closed = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbAdult_content">
+ <dt><a href="'.$this->get_link_icon(duplicate_index_url(), 'open').'"> {|@translateac_title_fermer}</a></dt>
+<dd>
+</dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+	$msg_opened = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+		<dl id="mbAdult_content">
+<dt>{|@translateac_title_menu}</dt>
+<dd>
+        <ul>
+		<li>
+		{|@translateac_text}
+		</li>
+		<li>
+		<a href="'.get_root_url().'plugins/'.$this->plugin_name.'/charte.php">{|@translateac_lien}</a>
+		</li>
+		<li>
+		<a href="{F_IDENTIFY}">{|@translateac_identif}</a>
+		</li> 
+		<li>
+		<a href="'.$this->get_link_icon(duplicate_index_url(), 'closed').'">{|@translateac_fermer}</a>
+		</li> 
+        </ul>
+</dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+$msg_18 = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbAdult_content">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{|@translateac_user_text_18} <a href="{U_LOGOUT}">{|@translateac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+$msg_16 = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>
+  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+ </tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+  <dl id="mbAdult_content">
+<dt>Adult content</dt>
+<dd>
+  <form method="post" action="{F_IDENTIFY}" class="filter" id="quickconnect">
+     <fieldset>
+        <label>
+		{|@translateac_user_text_16} <a href="{U_LOGOUT}">{|@translateac_logout}</a>
+		</label>
+    </fieldset>
+    </form>
+ </dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+$begin_ident = '<table id="table_menu" cellspacing="0" cellpadding="0">
+ <tr>  <td id="content_up_left">&nbsp;</td>
+  <td id="content_up">&nbsp;</td>
+  <td id="content_up_right">&nbsp;</td>
+</tr>
+ <tr>
+  <td id="content_left">&nbsp;</td>
+  <td id="content_in">
+<dl id="mbIdentification">';
+$end_ident = '<!-- END quickconnect -->
+
+  </dd>
+</dl>
+</td>
+  <td id="content_right">&nbsp;</td>
+ </tr>
+     <tr>
+      <td id="content_bottom_left">&nbsp;</td>
+      <td id="content_bottom">&nbsp;</td>
+      <td id="content_bottom_right">&nbsp;</td>
+    </tr>
+</table>';
+
+?>
